## Apache Zeta Components Manual :: Docs For Class ezcDbSchemaTable

### DatabaseSchema::ezcDbSchemaTable

### Class ezcDbSchemaTable

A container to store a table definition in.

Source for this file: /DatabaseSchema/src/structs/table.php

    ezcBaseStruct
       |
       --ezcDbSchemaTable

Version: | //autogentag//

### Member Variables

public array(string=>ezcDbSchemaField) | `$fields` A list of all the fields in this table. The array is indexed with the field name.
public array(string=>ezcDbSchemaIndex) | `$indexes` A list of all the indexes on this table. The array is indexed with the index name, where the index with the name 'primary' is a special one describing the primairy key.

### Method Summary

public static void | `__set_state( $array )`
public ezcDbSchemaTable | `__construct( $fields , [ $indexes = array()] )` Constructs an ezcDbSchemaTable object.

### Methods

#### __set_state

static void __set_state( $array )

##### Parameters:

Name | Type | Description
--- | --- | ---
`$array` | array |

#### __construct

ezcDbSchemaTable __construct( array(string=>ezcDbSchemaField) $fields , [array(string=>ezcDbSchemaIndex) $indexes = array()] )

Constructs an ezcDbSchemaTable object.

##### Parameters:

Name | Type | Description
--- | --- | ---
`$fields` | array(string=>ezcDbSchemaField) |
`$indexes` | array(string=>ezcDbSchemaIndex) |

Documentation generated by phpDocumentor 1.4.3